sc::MOPairIterFactory Class Reference

This class produces MOPairIter objects. More...

`#include <pairiter.h>`

## Public Member Functions

Ref< SpatialMOPairIter > | mopairiter (const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2)
| Constructs an appropriate MOPairIter object.
RefSCDimension | scdim_aa (const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2)
| Constructs an appropriate RefSCDimension object for same-spin pair.
RefSCDimension | scdim_ab (const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2)
| Constructs an appropriate RefSCDimension object for different-spin pair.

## Detailed Description

This class produces MOPairIter objects.

The documentation for this class was generated from the following file:

- pairiter.h